Bug 977698 - jetty: jetty-runner bundles other libraries
jetty: jetty-runner bundles other libraries
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: jetty (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 03:31 EDT by Michal Srb
Modified: 2014-04-25 00:26 EDT (History)
8 users (show)

See Also:
Fixed In Version: jetty-9.0.5-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-25 00:26:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Srb 2013-06-25 03:31:06 EDT
Description of problem:

jetty-runner is an uber-jar, which uses maven-dependency-plugin to bundle all its dependencies.

bundled libraries in jetty-runner:
com.sun.el.*
javax.annotation.*
javax.el.*
javax.mail.*
javax.servlet.*
javax.transaction.*
javax.xml.*
org.apache.jasper.*
org.apache.taglibs.*
org.apache.xalan.*
org.apache.xml.*
org.apache.xmlcommons.*
org.apache.xpath.*
org.glassfish.jsp.*
org.objectweb.asm.*
org.w3c.*
org.xml.*
Comment 1 Fedora End Of Life 2013-09-16 10:15:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Michael Simacek 2014-04-11 09:15:07 EDT
I've removed the jetty-runner subpackage since it serves only as a bundle of minimal jetty installation which doesn't make sense in context of packaging.
Comment 3 Fedora Update System 2014-04-11 10:10:03 EDT
jetty-9.0.5-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/jetty-9.0.5-3.fc20
Comment 4 Fedora Update System 2014-04-15 11:40:35 EDT
Package jetty-9.0.5-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jetty-9.0.5-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-5116/jetty-9.0.5-3.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Admin XMLRPC Client 2014-04-24 08:46:29 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Update System 2014-04-25 00:26:22 EDT
jetty-9.0.5-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.